# $Revision: 1.39 $, $Date: 2008/06/19 19:49:28 $
Summary:	LZO - a real-time data compression library
Summary(pl.UTF-8):	LZO - biblioteka kompresji danych w czasie rzeczywistym
Name:		lzo
Version:	2.03
Release:	1
License:	GPL v2+
Group:		Libraries
Source0:	http://www.oberhumer.com/opensource/lzo/download/%{name}-%{version}.tar.gz
# Source0-md5:	0c3d078c2e8ea5a88971089a2f02a726
Patch0:		%{name}-ac.patch
URL:		http://www.oberhumer.com/opensource/lzo/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.9.6
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LZO is a portable lossless data compression library written in ANSI C.
It implements a number of algorithms with the following features:
- Decompression is simple and *very* fast.
- Requires no memory for decompression.
- Compression is pretty fast.
- Requires 64 kB of memory for compression.
- Allows you to dial up extra compression at a speed cost in the
  compressor. The speed of the decompressor is not reduced.
- Includes compression levels for generating pre-compressed data which
  achieve a quite competitive compression ratio.
- There is also a compression level which needs only 8 kB for
  compression.
- Supports overlapping compression and in-place decompression.
- Algorithm is thread safe.
- Algorithm is lossless.

%description -l pl.UTF-8
LZO jest przenośną biblioteką do bezstratnej kompresji danych,
napisaną w ANSI C. Zaimplementowano w niej kilka algorytmów uzyskując
następującą funkcjonalność:
- dekompresja jest prosta i *bardzo* szybka
- dekompresja nie zużywa dodatkowej pamięci
- kompresja jest całkiem szybka
- kompresja wymaga 64kB pamięci
- pozwala zwiększyć kompresję zmniejszając szybkość kompresji, przy
  czym szybkość dekompresji pozostaje niezmieniona
- zawiera poziomy kompresji do generowania prekompresowanych danych,
  osiągające całkiem dobry stopień kompresji
- istnieje poziom kompresji wymagający przy kompresowaniu jedynie 8kB
  pamięci
- obsługuje kompresję nakładającą i 'in-place'
- algorytm nadaje się do bezpiecznego wykorzystania w środowisku
  wielowątkowym
- algorytm jest bezstratny

%package devel
Summary:	LZO header files
Summary(pl.UTF-8):	Pliki nagłówkowe LZO
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for LZO.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla LZO.

%package static
Summary:	LZO static library
Summary(pl.UTF-8):	Statyczna biblioteka LZO
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
LZO static library.

%description static -l pl.UTF-8
Biblioteka statyczna LZO.

%prep
%setup -q
%patch0 -p1

# kill libtool macros, leaving mfx_*
head -n 219 aclocal.m4 > acinclude.m4
sed -ne '6616,6770p' aclocal.m4 >> acinclude.m4

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-shared

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS NEWS README THANKS doc/LZO.FAQ doc/LZO.TXT
%attr(755,root,root) %{_libdir}/liblzo2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liblzo2.so.2

%files devel
%defattr(644,root,root,755)
%doc doc/LZOAPI.TXT
%attr(755,root,root) %{_libdir}/liblzo2.so
%{_libdir}/liblzo2.la
%{_includedir}/lzo

%files static
%defattr(644,root,root,755)
%{_libdir}/liblzo2.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: lzo.spec,v $
Revision 1.39  2008/06/19 19:49:28  qboosh
- updated to 2.03
- now gas asm is used on x86/x86_64 (enabled by default)

Revision 1.38  2007/09/05 14:56:46  baggins
- rel 3

Revision 1.37  2007/02/13 06:46:53  glen
- tabs in preamble

Revision 1.36  2007/02/12 00:49:06  baggins
- converted to UTF-8

Revision 1.35  2006/11/26 17:03:35  megabajt
- release 2 (rebuild with P: *.la)

Revision 1.34  2006/11/15 20:25:56  qboosh
- am epoch

Revision 1.33  2006/11/15 20:24:29  jackass
- BR: automake >= 1.9.5

Revision 1.32  2006/08/02 00:31:09  sparky
- sed 2 patch

Revision 1.31  2006/08/01 01:23:57  sparky
- bump autoconf version to 2.60 in BR, because of _AC_SRCDIRS

Revision 1.30  2006/07/31 15:03:26  sparky
- fix build with new autoconf: s/_AC_SRCPATHS/_AC_SRCDIRS/ in configure.ac

Revision 1.29  2005/10/21 09:23:55  qboosh
- updated to 2.02

Revision 1.28  2005/07/17 22:13:51  qboosh
- updated to 2.01 (library renamed to liblzo2)

Revision 1.27  2005/06/02 21:17:16  qboosh
- updated to 2.00 (improvements; note: new soname, some API changes)

Revision 1.26  2004/09/25 11:20:53  radek
- cosmetics (spaces -> tabs)

Revision 1.25  2004/06/05 13:48:29  blues
- release 4 for AC

Revision 1.24  2004/06/05 13:47:16  blues
- release 3.1 for RA

Revision 1.23  2003/12/01 00:32:32  undefine
- release 3 to rebuild with ac

Revision 1.22  2003/11/12 15:01:05  wrobell
- typo

Revision 1.21  2003/05/25 11:00:54  malekith
- massive attack, adding Source-md5

Revision 1.20  2003/05/25 05:50:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.19  2003/02/05 23:51:30  mmazur
- My oh my where did my macros go?
- Oh dear... here you are... you naughty naughty macros you

Revision 1.18  2003/01/27 22:46:24  filon
- requres nasm on x86
- better docs split
- regenerate ac/am/lt

Revision 1.17  2002/11/25 14:17:20  ankry
- massive attack: no need for 755 for *.la

Revision 1.16  2002/11/14 21:39:04  qboosh
- plain %%configure can be used now

Revision 1.15  2002/11/14 07:41:05  areq
- 1.08, STBR
- update URL

Revision 1.14  2002/07/21 12:21:41  qboosh
- new %%doc, added missing pl translations; release 5

Revision 1.13  2002/04/26 10:07:05  arturs
- added Polish description

Revision 1.12  2002/02/23 03:36:25  kloczek
- adapterized.

Revision 1.11  2002/02/22 23:29:14  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/02/12 03:08:52  kloczek
- adapterized.

Revision 1.9  2002/02/02 20:28:27  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.8  2002/02/01 14:53:20  ankry
- added Group(es/pt_BR/ru/uk)

Revision 1.7  2002/01/18 02:13:46  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2001/10/03 16:41:06  filon
- changed req for static subpkg in static subpkg (!!!) to devel
- release 4

Revision 1.5  2001/10/01 16:52:43  blues
- release 3
- configure2_13 used
- some translations

Revision 1.4  2001/01/25 11:49:33  wiget
fix requires in devel and static subpackages

Revision 1.3  2000/11/02 17:17:06  kloczek
- updated to 1.07,
- use new rpm automation.

Revision 1.2  2000/09/23 13:17:15  kloczek
- adapterized ad some cosmetics changes.

Revision 1.1  2000/09/23 12:10:48  waszi
- initial release (based on template.spec ;-))
